Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util

# Class RedoAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util.RedoAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`

public class RedoAction extends org.eclipse.jface.action.Action
An redo action is implemented by using the `CommandStack`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ICompareEditingDomain`
`domain`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`RedoAction(ICompareEditingDomain domain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`void`
`setEditingDomain(ICompareEditingDomain domain)`
`void`
`update()`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### domain

protected ICompareEditingDomain domain

## Constructor Details

### RedoAction

public RedoAction(ICompareEditingDomain domain)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`

### setEditingDomain

public void setEditingDomain(ICompareEditingDomain domain)

### update

public void update()